avimerge(1)

NAME
avimerge - merge several AVI-files into one

SYNOPSIS
avimerge -o name -i file1 [ file2 [ ... ] ] [ -p file ] [ -a num ] [ -A num ] [ -b num ] [ -c ] [ -f commentfile ] [ -x indexfile ]

COPYRIGHT
avimerge is Copyright (C) by Thomas Oestreich.

DESCRIPTION
avimerge is a versatile tool. It can contatenate several AVI files into one. It can also be used to fix an index of a broken file and can also replace audio tracks or muxes new ones. It can read raw AC3 and MP3 files for multplexing.

OPTIONS

-o name
    Specify the name of the output file.

-i file
    Specify the name(s) of the input file(s) to merge into the output file.

-p file
    Specify the name of the audio file to multiplex into the output file. The type of file can be either another AVI file or an MP3 or AC3 file.

-b num
    Specify if avimerge should write an VBR mp3 header into the AVI file. Default is dependent on the input file (and usually correct). num is either 1 or 0.

-c  Drop video frames in case audio is missing [off]
    Only when merging multiple AVI files. Some AVI files run a little bit (usually for one or two video frames) short on audio. This means avimerge cannot keep up sync when concatinating them. The files play fine when played individually but not when merged because audio from the new file gets played back with video from the old file. avimerge will print a message like
      No audiodata left for track 0->0 (59950.25=59950.25) continuing ..
    When you turn on the -c option, the video which is too much will be dropped.

-f commentfile
    Read AVI tombstone data for header comments from commentfile. See /docs/avi_comments.txt for a sample.

-x indexfile
    Read the AVI index from indexfile. See aviindex(1) for information on how to create such a file.

-a num
    Specify the number of the audio track you want to use from the input file.

-A num
    Specify the number of the audio track you want to use in the output file. If you specify an existing track number, the track will be replaced. If omitted, the next free slot will be used.

EXAMPLES
The command
avimerge -o big.avi -i my_file1.avi my_file2.avi my_file3.avi
merges the three input files my_file[123].avi into one big AVI-file big.avi.
avimerge -o out.avi -i in.avi -p audio2.avi -a 1
merges track number 1 form in.avi to the next free track number in out.avi. You can create audio-only AVI-files using
transcode -i song.mp3 -x null,mp3 -g 0x0 -y raw -a 1 -o audio2.avi -u 50
The command
avimerge -o out.avi -i in.avi -p sound.mp3
merges the file sound.mp3 as an additional audio track into out.avi.

AUTHORS
avimerge was written by Thomas Oestreich
<ostreich@theorie.physik.uni-goettingen.de> with contributions from many others. See AUTHORS for details.

SEE ALSO
aviindex(1), avifix(1), avisplit(1), tccat(1), tcdecode(1), tcdemux(1), tcextract(1), tcprobe(1), tcscan(1), transcode(1)